
_LANG =
	{
	
		COMMAND= { 
			ENGLISH="item"; 
			FRENCH="item"; 
			GERMAN="*";  };
		IDOK= { 
			ENGLISH="Displaying Item: "; 
			FRENCH="Affichage de l'objet: "; 
			GERMAN="*";  };
		INVALIDID= { 
			ENGLISH="Invalid item Id: "; 
			FRENCH="Id d'objet invalide: "; 
			GERMAN="*";  };
		USAGE= { 
			ENGLISH="Usage: /item xxx -- xxx is an item ID, example: /item 7002659F"; 
			FRENCH="Usage: /item xxx -- xxx est un ID d'objet, exemple: /item 7002659F"; 
			GERMAN="*";  };
		WINTITLE= { 
			ENGLISH="Item"; 
			FRENCH="Item"; 
			GERMAN="*";  };
	};



function getLang(l)
	local ret = {};
	for k,v in pairs(_LANG) do
		ret[k] = ToUTF8(v[l]);
		if ret[k]=="*" then
			ret[k] = ToUTF8(v["ENGLISH"]);
		end
		if ret[k]=="*" then
			ret[k] = ToUTF8(v["FRENCH"]);
		end
	end
	return ret;
end



