
-- Parametres globaux
gPluginName="KikiItem";
gDebug = {};

-- Import 
import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";

import "Kiki.Commons.Trace";
import "Kiki.Commons.UTF";
import "Kiki.Commons.Class";
import "Kiki.Commons.Tools";
import "Kiki.Commons.Settings";
import "Kiki.Commons.Tooltips";
import "Kiki.Commons.Onscreen";
import "Kiki.KikiItem.Languages";

-- Charge les traductions
gLanguage = getClientLanguage();
gLang = getLang(gLanguage); 

-- Joueur
gPlayer = Turbine.Gameplay.LocalPlayer.GetInstance();
gPlayerName = gPlayer:GetName();


-- main window
import "Kiki.KikiItem.wItem";

-- Function de dechargment du plugin
Plugins[gPluginName].Unload = function(self,sender,args)
	wItem:Unload();
	Kiki.Commons.Trace("unloaded");
end

-- commande /item
scCommand = Turbine.ShellCommand();
Turbine.Shell.AddCommand(gLang.COMMAND, scCommand);
function scCommand:GetShortHelp()
    return gLang.USAGE;
end
function scCommand:GetHelp()
    return self:GetShortHelp();
end
function scCommand:Execute(cmd, args)
	-- Kiki.Commons.Trace("Item:"..args);
	wItem:Show(args);
end

-- Retrouve la version du plugin
Kiki.Commons.Trace("loaded (version ".. Plugins[gPluginName]:GetVersion() .. " by Kikiadoc@Sirannon)");
Kiki.Commons.Trace(gLang.USAGE);












